layui.use(['element', 'form', 'layer', 'carousel'], function(){
  var $ = layui.$;
  var element = layui.element;
  var form = layui.form;
  let layer = layui.layer;
  var editorIndex = null;
  var carousel = layui.carousel;
  var upload = layui.upload;
  var laytpl = layui.laytpl;

  $.extend(
  {
      scrollTo : function (type, duration, options)
      {
          if (typeof type == 'object') {$(type).offset().top}
          $('html, body').animate({scrollTop: type}, {
              duration: duration,
              queue: options.queue
          });
      }
  })

  //评论
  $('.comment-control .item').click(function(e) {
      let that = $(this);
      let parentId = $(this).parent().data('id');
      let parentUser = $(this).parent().data('user');
      let eventType = $(this).data('id');
      if (eventType === 'praise') {
          //赞
          $.ajax({
              url: '/comment/praise',
              method: "post",
              data: {id: parentId},
              dataType: "json",
              success: function (res) {
                  if(res.code === 0) {
                      layer.msg(res.msg, {
                          offset: '15px'
                          ,icon: 1
                          ,time: 1000
                      }, function(){
                          that.find('.vote-count').text(res.data.vote_count)
                          if (res.data.active) {
                              that.addClass('active');
                          } else {
                              that.removeClass('active');
                          }
                      });
                  } else {
                      layer.msg(res.msg);
                  }
              },
              error: function (err) {
                  layer.msg(err);
              }
          });
      } else if (eventType === 'reply') {
          //回复
          $('#parent-id-field').val(parentId);
          $('#comment-content-field').prop('placeholder', '回复：' + parentUser).focus();
      }
  });
  form.on('submit(comment-submit)', function(data){
      if(!data.field.content) {
          return layer.msg("请填写评论内容");
      }
      data.form.submit();
      return false;
  });
  // 菜单点击
  $('.mobile-nav-switch').click(function() {
      if ($(this).find('.layui-icon').hasClass('layui-icon-shrink-right')) {
          // 开
          $(this).find('.layui-icon').removeClass('layui-icon-shrink-right').addClass('layui-icon-spread-left');
          $(this).next('.layui-nav').addClass('mobile-show');
      } else {
          $(this).find('.layui-icon').removeClass('layui-icon-spread-left').addClass('layui-icon-shrink-right');
          $(this).next('.layui-nav').removeClass('mobile-show');
      }
  })
  $('.aside-toggle').click(function() {
      $(this).parents(".main-aside").toggleClass('active');
  })
  //展示电话
  $('#show-cellphone').click(function(){
      let cellphone = $(this).data('id')
      layer.alert('电话：'+cellphone);
  });

  //留言提交
  form.on('submit(guestbook-submit)', function(data){
      if(!data.field.user_name && !data.field.contact) {
          return layer.msg("请填写联系方式");
      }
      
      data.form.submit();
      return false;
  })

  // 文章详情目录
  if($('.article-body,.site-content').length) {
      let parentTag = null;
      let deep = 0;
      let contentTpl = '<ul class="content-dir">';
      $('.article-body,.site-content').find("h1,h2,h3,h4,h5,h6").each(function(i, item) {
          let tagLeaf = $(item).prop('tagName').toUpperCase().replace('H', '');
          if (!parentTag) {
              parentTag = tagLeaf
              deep = 0
          }
          if (parentTag > tagLeaf) {
              deep -= parentTag - tagLeaf
          } else if (parentTag < tagLeaf) {
              deep -= parentTag - tagLeaf
              parentTag = tagLeaf
          }
          let titleText = $(item).text();
          let titleId = "content-dir-" + i;
          $(item).attr("id", titleId)

          contentTpl += `<li class="deep-${deep}"><a href="#${titleId}"><cite>${titleText}</cite></a></li>`;
      })
      contentTpl += '</ul>';
      if (parentTag && $(window).width() > 750) {
          layer.open({
              type: 1,
              content: contentTpl,
              skin: 'layui-layer-dir',
              area: 'auto',
              maxHeight: $(window).height() - 300,
              title: '目录',
              closeBtn: false,
              offset: 'r',
              shade: false,
              success: function(layero, index) {
                  layer.style(index, {
                      marginLeft: -15
                  });
              }
          });
          $(document).on('click', '.content-dir>li>a', function(e) {
              e.preventDefault();
              let id = $(this).attr('href');
              $.scrollTo($(id).offset().top-100, 500, {queue:true})

              let othis = $(this).parent();
              othis.addClass('layui-this');
              othis.siblings().removeClass('layui-this');
          });
      }
  }

  // about-us
  $('.about-nav-item').click(function(e){
      e.preventDefault();
      let id = $(this).attr('href');
      $.scrollTo($(id).offset().top-100, 500, {queue:true})
  })
  // 留言
  form.on('submit(about-feedback)', function(data){
      if(!data.field.user_name && !data.field.contact) {
          return layer.msg("请填写联系方式");
      }
      $.post("/guestbook.html", data.field, function(res) {
          layer.alert(res.msg, function() {
              if (res.code === 0) {
                  window.location.reload();
              }
          });
      });
      return false;
  })
});